Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.sqisign
Class Dim2Id2IsoHelpers.FindUvResult

    java.lang.Object
      org.bouncycastle.pqc.crypto.sqisign.Dim2Id2IsoHelpers.FindUvResult

Enclosing class:
  org.bouncycastle.pqc.crypto.sqisign.Dim2Id2IsoHelpers

public static final class Dim2Id2IsoHelpers.FindUvResult
extends java.lang.Object

Result bundle for `Dim2Id2IsoHelpers.findUv(org.bouncycastle.pqc.crypto.sqisign.Ibz, org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal, org.bouncycastle.pqc.crypto.sqisign.QuatAlg, int, org.bouncycastle.pqc.crypto.sqisign.QuatLeftIdeal[], int, int)`. Mirrors the C output-by-pointer pattern as a single returned struct.

Field Summary
`QuatAlg.Elem` | `beta1`
`QuatAlg.Elem` | `beta2`
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `d1`
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `d2`
`int` | `indexAlternateOrder1`
`int` | `indexAlternateOrder2`
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `u`
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `v`

Constructor Summary
`Dim2Id2IsoHelpers.FindUvResult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### u

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz u

### v

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz v

### beta1

    public final QuatAlg.Elem beta1

### beta2

    public final QuatAlg.Elem beta2

### d1

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz d1

### d2

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz d2

### indexAlternateOrder1

    public int indexAlternateOrder1

### indexAlternateOrder2

    public int indexAlternateOrder2

Constructor Detail

### Dim2Id2IsoHelpers.FindUvResult

    public Dim2Id2IsoHelpers.FindUvResult()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD